Apache log4cxx Version @version@

Public Member Functions | List of all members
RuntimeException Class Reference

RuntimeException is the parent class of those exceptions that can be thrown during the normal operation of the process. More...

`#include <exception.h>`

Inheritance diagram for RuntimeException:

## Public Member Functions
| RuntimeException (log4cxx_status_t stat)
| RuntimeException (const LogString &msg)
| RuntimeException (const RuntimeException &msg)
RuntimeException & | operator= (const RuntimeException &src)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Detailed Description

RuntimeException is the parent class of those exceptions that can be thrown during the normal operation of the process.

## Constructor & Destructor Documentation

## ◆ RuntimeException() [1/3]

RuntimeException | ( | log4cxx_status_t | stat | ) |

## ◆ RuntimeException() [2/3]

RuntimeException | ( | const LogString & | msg | ) |

## ◆ RuntimeException() [3/3]

RuntimeException | ( | const RuntimeException & | msg | ) |

## Member Function Documentation

## ◆ operator=()

RuntimeException & operator= | ( | const RuntimeException & | src | ) |

The documentation for this class was generated from the following file:

- exception.h